Bug 604129 - [abrt] crash in jokosher-1.0-0.12.20100503bzr.fc13: VUWidget.py:324:OnDraw:TypeError: Required argument 'cr' (pos 1) not found
Summary: [abrt] crash in jokosher-1.0-0.12.20100503bzr.fc13: VUWidget.py:324:OnDraw:Ty...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: jokosher (Show other bugs)
(Show other bugs)
Version: 13
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Christopher Brown
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ef0430d0
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-15 13:31 UTC by Florian Fischer
Modified: 2011-06-27 18:17 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 18:17:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (594 bytes, text/plain)
2010-06-15 13:32 UTC, Florian Fischer
no flags Details

Description Florian Fischer 2010-06-15 13:31:59 UTC
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/jokosher
component: jokosher
executable: /usr/bin/jokosher
kernel: 2.6.33.5-112.fc13.x86_64
package: jokosher-1.0-0.12.20100503bzr.fc13
reason: VUWidget.py:324:OnDraw:TypeError: Required argument 'cr' (pos 1) not found
release: Fedora release 13 (Goddard)

backtrace
-----
VUWidget.py:324:OnDraw:TypeError: Required argument 'cr' (pos 1) not found

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/Jokosher/VUWidget.py", line 324, in OnDraw
    ctx.reset_clip()
TypeError: Required argument 'cr' (pos 1) not found

Local variables in innermost frame:
widget: <VUWidget object at 0x35155f0 (VUWidget at 0x3390350)>
ctx: <gtk.gdk.CairoContext object at 0x7f811231ef70>
event: <gtk.gdk.Event at 0x2a35260: GDK_EXPOSE area=[0, 0, 145, 50]>
rect: gtk.gdk.Rectangle(751, 475, 145, 50)
self: <VUWidget object at 0x35155f0 (VUWidget at 0x3390350)>

Comment 1 Florian Fischer 2010-06-15 13:32:02 UTC
Created attachment 424155 [details]
File: backtrace

Comment 2 Daniel 2010-07-01 18:55:18 UTC
Package: jokosher-1.0-0.12.20100503bzr.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Press the "Audo Mixers" button.

Comment
-----
Seems consistently reproducible using different data.

Comment 3 Christopher Brown 2010-07-03 14:41:30 UTC
Thanks for the bug reports guys!

This is actually a pycairo bug - I'm contacting the maintainer to see if he can update the current package which has a fix for this. May re-assign this shortly anyway.

Comment 4 Christopher Brown 2010-07-03 15:31:05 UTC
pycairo bz bump request:

https://bugzilla.redhat.com/show_bug.cgi?id=611087

I am pushing an update for Jokosher now also.

Comment 5 Fedora Update System 2010-07-03 15:53:46 UTC
jokosher-1.0-0.12.20100703bzr.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/jokosher-1.0-0.12.20100703bzr.fc13

Comment 6 Fedora Update System 2010-07-06 17:32:10 UTC
jokosher-1.0-0.12.20100703bzr.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jokosher'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/jokosher-1.0-0.12.20100703bzr.fc13

Comment 7 Fedora Update System 2010-07-31 18:33:18 UTC
jokosher-1.0-0.12.20100703bzr.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/jokosher-1.0-0.12.20100703bzr.fc14

Comment 8 Fedora Update System 2010-08-01 19:24:17 UTC
jokosher-1.0-0.12.20100703bzr.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Dennis Koss 2010-08-07 14:56:24 UTC
Package: jokosher-1.0-0.12.20100503bzr.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Just started jokosher
2.
3.

Comment 10 pmcd 2010-10-26 00:03:28 UTC
Package: jokosher-1.0-0.12.20100503bzr.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.i loaded audio file ( mp3 )
2.clicked on show mixers
3.

Comment 11 Luya Tshimbalanga 2010-12-09 20:31:02 UTC
Package: jokosher-1.0-0.12.20100703bzr.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Press Audio Mixers while playing an audio file
2.
3.


Comment
-----
Crash occurred by pressing Audio Mixers button while playing audio file. The application is still running despite that problem.

Comment 12 Ondra Pelech 2010-12-16 14:45:39 UTC
Package: jokosher-1.0-0.12.20100503bzr.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. sry, don't know what happened
2.
3.

Comment 13 Adam DiFrischia 2011-01-29 21:01:14 UTC
Package: jokosher-1.0-0.12.20100703bzr.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Opened Jokosher, new project, no name.
2. Clicked "Audio Mixers" button.
3.

Comment 14 Peque 2011-02-10 01:00:23 UTC
Package: jokosher-1.0-0.12.20100703bzr.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
Just clicked on "audio mixing" button (or however you write that in English ;-) ).
Seems I can't reproduce it...

Comment 15 Peque 2011-02-10 01:08:34 UTC
I was wrong... now I can reproduce it:

1) Create a new project
2) Click on "audio mixers" button

You can reproduce it again closing Jokosher, opening this project and clicking again on "audio mixers".

Using jokosher-1.0-0.12.20100703bzr.fc14.

Comment 16 Dave 2011-04-25 22:10:10 UTC
Package: jokosher-1.0-0.12.20100703bzr.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.It wouldn't open right
2.
3.

Comment 17 Bug Zapper 2011-06-02 10:46:08 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 18 Bug Zapper 2011-06-27 18:17:14 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.